Subject: bug#64185: proposal for new function: copy-line

From: Mattias Engdegård <[email-masked]>
Date: Sun, 25 Jun 2023 21:46:55 +0200

25 juni 2023 kl. 19.24 skrev Juri Linkov <[email-masked]>:

> I don't see from where we can get such assumption - e.g. extending the region
> to the copied text also makes sense.

No, it's actually a firm requirement. Extending the region would only allow making exponentially more copies which is useless in practice. Try it yourself and you'll see.

> When the users will request a setting for columns, then we could
> add a new option e.g. `duplicate-dwim-final-column`.

Request submitted then!

>> If we use separate settings they should naturally work the same way,
>> or users will wonder who is running the asylum.
> 
> It would be crazy to mix apples and oranges.  `duplicate-line-final-line`
> should be applied only to `duplicate-line`.

No, what I meant is that it would make little sense to use different types and values for settings affecting the exact same operation on different pieces of text.

>  And if the users need to
> do the same with regions, then a separate option could be added
> e.g. `duplicate-dwim-final-region`.

How about we, for a change, attempt this thing called design, instead of the customary Emacs piecemeal hodgepodge?

> (Not sure why now one example uses boring "abcde"
> instead of the overall style with "foo", "bar", "zot").

Yes there are oodles of those so I just fix the ones in examples I'm changing for other reasons.
Maybe we should take a day off and do them all in one batch.